/*
 * @author dx
 * @date 2020-06-29
 **/

import 'package:flutter/material.dart';
import 'package:gm_flutter/commonModel/base/BaseState.dart';
import 'package:gm_flutter/commonModel/base/BaseComponent.dart';

class LevelTwoPage extends StatefulWidget {
  @override
  _LevelTwoPageState createState() => _LevelTwoPageState();
}

class _LevelTwoPageState extends BaseState<LevelTwoPage>
    with SingleTickerProviderStateMixin {
  TabController tabController;

  @override
  void initState() {
    super.initState();
    this.tabController = TabController(length: 2, vsync: this);
  }

  @override
  Widget buildItem(BuildContext context) {
    return Scaffold(
        body: Column(
      children: <Widget>[
        Padding(
          padding: EdgeInsets.only(left: 15.0, right: 15.0, top: 8.0),
          child: Row(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisSize: MainAxisSize.max,
            children: <Widget>[
              ClipRRect(
                  borderRadius: BorderRadius.circular(6),
                  child: Container(
                    decoration: BoxDecoration(
                        borderRadius: BorderRadius.circular(17),
                        border: Border.all(color: Color(0xffF9F8FB), width: 1)),
                    child: Image.network(
                      'https://img1.gamersky.com/image2019/07/20190725_ll_red_136_2/gamersky_07small_14_201972510258D0.jpg',
                      width: 86,
                      height: 86,
                      fit: BoxFit.cover,
                    ),
                  )),
              Padding(
                  padding: EdgeInsets.only(left: 12, top: 5),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    mainAxisSize: MainAxisSize.max,
                    children: <Widget>[
                      Text('乔雅登玻尿酸（药品类）',
                          style: TextStyle(
                              color: Color(0xff333333),
                              fontSize: 15,
                              fontWeight: FontWeight.bold)),
                      Padding(padding: EdgeInsets.only(top: 12)),
                      Row(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        verticalDirection: VerticalDirection.up,
                        children: <Widget>[
                          Text('指导价：',
                              style: TextStyle(
                                  color: Color(0xff999999), fontSize: 12)),
                          Text(
                            '¥2000-5000',
                            style: TextStyle(
                                color: Color(0xffFF5963), fontSize: 12),
                          )
                        ],
                      )
                    ],
                  )),
            ],
          ),
        ),
        Padding(
          padding: EdgeInsets.only(top: 20, left: 15, right: 15),
          child: Container(
              color: Color(0xffF9F8FB),
              child: Padding(
                padding: EdgeInsets.only(top: 15, left: 21, bottom: 15),
                child: Row(
                  children: <Widget>[
                    Column(
                      children: <Widget>[
                        Text('乔雅登',
                            style: TextStyle(
                                color: Color(0xff282828), fontSize: 14)),
                        Padding(padding: EdgeInsets.only(top: 12)),
                        Text('品牌',
                            style: TextStyle(
                                color: Color(0xff999999), fontSize: 11))
                      ],
                    )
                  ],
                ),
              )),
        ),
      ],
    ));
  }
}

class StickyTabBarDelegate extends SliverPersistentHeaderDelegate {
  final TabBar child;

  StickyTabBarDelegate({@required this.child});

  @override
  Widget build(
      BuildContext context, double shrinkOffset, bool overlapsContent) {
    return this.child;
  }

  @override
  double get maxExtent => this.child.preferredSize.height;

  @override
  double get minExtent => this.child.preferredSize.height;

  @override
  bool shouldRebuild(SliverPersistentHeaderDelegate oldDelegate) {
    return true;
  }
}
